Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.upgrade
Class UpgradeStatus

    public interface class UpgradeStatus

The status of a current or previous schema upgrade.

Some methods in this interface may cache backing state. To obtain updated status for a schema upgrade, acquire a new UpgradeStatus.

(Unpublished)

Field Summary
`static int` | `STATUS_ANALYZED` The status value that indicates analysis is complete.
`static int` | `STATUS_ANALYZING` The status value that indicates analysis has begun.
`static int` | `STATUS_COMPLETED` The status value that indicates post-upgrade is complete.
`static int` | `STATUS_INITIALIZED` The status value that indicates analysis has not begun.
`static int` | `STATUS_POSTUPGRADING` The status value that indicates post-upgrade has begun.
`static int` | `STATUS_PREUPGRADED` The status value that indicates pre-upgrade is complete.
`static int` | `STATUS_PREUPGRADING` The status value that indicates pre-upgrade has begun.
`static int` | `STATUS_ROLLEDBACK` The status value that indicates rollback is complete.
`static int` | `STATUS_ROLLINGBACK` The status value that indicates rollback has begun.
`static int` | `STATUS_UPGRADED` The status value that indicates upgrade is complete.
`static int` | `STATUS_UPGRADING` The status value that indicates upgrade has begun.

Method Summary
`java.lang.String` | `getSoftwareVersion()` Gets the software version number of the software used to perform this schema upgrade.
`java.lang.String` | `getSourceSchemaVersion()` Gets the source schema version number for this schema upgrade.
`int` | `getStatus()` Gets the status of this schema upgrade.
`java.util.Date` | `getStatusLastModified()` Gets the time the status of this schema upgrade last changed.
`java.lang.String` | `getTargetSchemaVersion()` Gets the target schema version number for this schema upgrade.
`UpgradeActionStatus[]` | `getUpgradeActionStatuses()` Gets the status of each upgrade action in this schema upgrade.

Field Detail

### STATUS_INITIALIZED

    static final int STATUS_INITIALIZED

  Description copied from interface: `UpgradeStatus`
  The status value that indicates analysis has not begun.

  See Also:
    Constant Field Values
  (Unpublished)

### STATUS_ANALYZING

    static final int STATUS_ANALYZING

  Description copied from interface: `UpgradeStatus`
  The status value that indicates analysis has begun.

  See Also:
    Constant Field Values
  (Unpublished)

### STATUS_ANALYZED

    static final int STATUS_ANALYZED

  Description copied from interface: `UpgradeStatus`
  The status value that indicates analysis is complete.

  See Also:
    Constant Field Values
  (Unpublished)

### STATUS_PREUPGRADING

    static final int STATUS_PREUPGRADING

  Description copied from interface: `UpgradeStatus`
  The status value that indicates pre-upgrade has begun.

  See Also:
    Constant Field Values
  (Unpublished)

### STATUS_PREUPGRADED

    static final int STATUS_PREUPGRADED

  Description copied from interface: `UpgradeStatus`
  The status value that indicates pre-upgrade is complete.

  See Also:
    Constant Field Values
  (Unpublished)

### STATUS_UPGRADING

    static final int STATUS_UPGRADING

  Description copied from interface: `UpgradeStatus`
  The status value that indicates upgrade has begun.

  See Also:
    Constant Field Values
  (Unpublished)

### STATUS_UPGRADED

    static final int STATUS_UPGRADED

  Description copied from interface: `UpgradeStatus`
  The status value that indicates upgrade is complete.

  See Also:
    Constant Field Values
  (Unpublished)

### STATUS_POSTUPGRADING

    static final int STATUS_POSTUPGRADING

  Description copied from interface: `UpgradeStatus`
  The status value that indicates post-upgrade has begun.

  See Also:
    Constant Field Values
  (Unpublished)

### STATUS_COMPLETED

    static final int STATUS_COMPLETED

  Description copied from interface: `UpgradeStatus`
  The status value that indicates post-upgrade is complete.

  See Also:
    Constant Field Values
  (Unpublished)

### STATUS_ROLLINGBACK

    static final int STATUS_ROLLINGBACK

  Description copied from interface: `UpgradeStatus`
  The status value that indicates rollback has begun.

  See Also:
    Constant Field Values
  (Unpublished)

### STATUS_ROLLEDBACK

    static final int STATUS_ROLLEDBACK

  Description copied from interface: `UpgradeStatus`
  The status value that indicates rollback is complete.

  See Also:
    Constant Field Values
  (Unpublished)

Method Detail

### getSoftwareVersion

    java.lang.String getSoftwareVersion()
                                        throws IfsException

  Description copied from interface: `UpgradeStatus`
  Gets the software version number of the software used to perform this schema upgrade.

  Returns:
    the software version number
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getSourceSchemaVersion

    java.lang.String getSourceSchemaVersion()
                                            throws IfsException

  Description copied from interface: `UpgradeStatus`
  Gets the source schema version number for this schema upgrade.

  The source schema version number is the schema's version number before this schema upgrade was started.

  Returns:
    the source schema version number
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getTargetSchemaVersion

    java.lang.String getTargetSchemaVersion()
                                            throws IfsException

  Description copied from interface: `UpgradeStatus`
  Gets the target schema version number for this schema upgrade.

  The target schema version number is the schema's version number after completion of this schema upgrade.

  Returns:
    the target schema version number
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getStatus

    int getStatus()
                  throws IfsException

  Description copied from interface: `UpgradeStatus`
  Gets the status of this schema upgrade.

  Must be one of the following values:

  - `UpgradeStatus.STATUS_INITIALIZED`
  - `UpgradeStatus.STATUS_ANALYZING`
  - `UpgradeStatus.STATUS_ANALYZED`
  - `UpgradeStatus.STATUS_PREUPGRADING`
  - `UpgradeStatus.STATUS_PREUPGRADED`
  - `UpgradeStatus.STATUS_UPGRADING`
  - `UpgradeStatus.STATUS_UPGRADED`
  - `UpgradeStatus.STATUS_POSTUPGRADING`
  - `UpgradeStatus.STATUS_COMPLETED`
  - `UpgradeStatus.STATUS_ROLLINGBACK`
  - `UpgradeStatus.STATUS_ROLLEDBACK`

  Returns:
    the upgrade status
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getStatusLastModified

    java.util.Date getStatusLastModified()
                                         throws IfsException

  Description copied from interface: `UpgradeStatus`
  Gets the time the status of this schema upgrade last changed.

  Returns:
    the time at which the status last changed
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getUpgradeActionStatuses

    UpgradeActionStatus[] getUpgradeActionStatuses()
                                                   throws IfsException

  Description copied from interface: `UpgradeStatus`
  Gets the status of each upgrade action in this schema upgrade.

  Returns:
    the upgrade action statuses, in the order the upgrade actions are performed
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD